#!/bin/bash



VERSION='2.1.1'
FILE='install.zip'

RED='\033[1;31m'
GREEN='\033[1;32m'
YELLOW='\033[1;33m'
BLUE='\033[1;34m'
NC='\033[0m' # No Color


echo -e $GREEN "Installing Drone Engage version $VERSION " $NC


echo -e $YELLOW "install libboost" $NC
# sudo apt update 
#sudo apt install libboost-coroutine1.74.0



echo  -e $YELLOW "Unziping file $FILE" $NC


echo  -e $RED "Any previous installation will be deleted. Please backup first" $BLUE
while true; do
    read -p "Do you wish to install this program? " yn
    case $yn in
        [Yy]* ) break;;
        [Nn]* ) exit;;
        * ) echo "Please answer yes or no.";;
    esac
done
    
unzip -o $FILE -d ~/

pushd ~

sudo chmod +x ~/drone_engage/de_comm/de_comm.so
sudo chmod +x ~/drone_engage/de_mavlink/de_ardupilot.so


echo  -e $YELLOW "Creating Services" $NC

sudo systemctl stop de_communicator.service 
sudo systemctl stop de_mavlink.service


sudo systemctl disable de_communicator.service 
sudo systemctl disable de_mavlink.service


sudo mv ./de_communicator.service  /lib/systemd/system/de_communicator.service
sudo mv ./de_mavlink.service  /lib/systemd/system/de_mavlink.service

sudo systemctl enable de_communicator.service 
sudo systemctl enable de_mavlink.service

popd


echo  -e $YELLOW "Please setup JSON files" $NC
find  ./drone_engage/* -name "*.json"

